#pragma once
#include "Skate.h"
#define OIS_DYNAMIC_LIB
#include <OIS/OIS.h>
#include "PhysXHandler.h"

class PlayerController
{

	PhysicsHandler* ph;
	SceneManager* sm;

public:
	PlayerController(Skate* c, SceneManager* sm, PhysicsHandler* ph);
	~PlayerController(void);

	void update(float t, float dt, OIS::Keyboard* keyboard, OIS::Mouse* mouse);
	float mTimeUntilNextToggle;
protected:
	Skate* skate;
};
